package services

import (
	"encoding/json"
	"eta/eta_task/models/data_manage"
	"eta/eta_task/utils"
	"fmt"
	"time"
)

// 同步
func SyncMeetingProbabilities() (err error) {

	var startDate string
	maxDate, err := data_manage.GetMeetingProbabilitiesMaxDate()
	if err != nil || maxDate.IsZero() {
		startDate = time.Now().AddDate(0, 0, -1).Format(utils.FormatDate) + " 00:00:00"
	} else {
		startDate = maxDate.AddDate(0, 0, 1).Format(utils.FormatDate) + " 00:00:00"
	}

	method := `index/list`
	data := make(map[string]interface{})
	data["Source"] = utils.DATA_SOURCE_MEETING_PROBABILITIES
	data["StartDate"] = startDate
	//data["EndDate"] = endDate
	result, err := HttpPost("SyncMeetingProbabilities", method, data)
	if err != nil {
		fmt.Println("SyncMeetingProbabilities HttpPost Err:", err.Error())
	}
	utils.FileLog.Info(result)
	fmt.Println("SyncMeetingProbabilities result:", result)

	respObj := new(data_manage.MeetingProbabilitiesResp)
	err = json.Unmarshal([]byte(result), &respObj)
	if err != nil {
		return err
	}
	//获取所有指标信息  某一天的
	allIndex, err := data_manage.GetMeetingProbabilitiesAll(startDate)
	if err != nil {
		return
	}

	existIndexMap := make(map[int]*data_manage.MeetingProbabilities)
	for _, v := range allIndex {
		existIndexMap[v.MeetingInfoId] = v
	}

	for _, zv := range respObj.Data {
		if _, ok := existIndexMap[zv.MeetingInfoId]; !ok {
			newID, err := data_manage.AddMeetingProbabilities(zv)
			if err != nil {
				fmt.Println("insert error:", err)
			}
			fmt.Println("insert new indexID:", newID)
		}
	}
	return err
}